#include "EchoPort.h"
using namespace t3devlib;

EchoPort::EchoPort (PortId& id) :
	Port (id)
{ 
}

EchoPort::~EchoPort() 
{
}

bool EchoPort::Map (const PortId& connected_port_id) 
{ 
  return true; 
} 
 
bool EchoPort::Unmap (const PortId& connected_port_id) 
{ 
  return true; 
}

bool EchoPort::Send (const ComponentId& from,const Bitstring& msg) {
  return EnqueueMsg (from, msg); 
}
